import request from '@/utils/request'

// 查询
export function list(query) {
  return request({
    url: '/technicalPlan/equipmentEnergyConsumption/list',
    method: 'get',
    baseURL: "/plan-api",
    params: query
  })
}


// 新增
export function postData(data) {
  return request({
    url: '/equipmentParam',
    baseURL: "/plan-api",
    method: 'post',
    data: data
  })
}

// 修改
export function putData(data) {
  return request({
    url: '/equipmentParam',
    baseURL: "/plan-api",
    method: 'put',
    data: data
  })
}

// 删除
export function deleteData(paramIds) {
  return request({
    url: '/equipmentParam/'+paramIds,
    baseURL: "/plan-api",
    method: 'delete'
  })
}
// 修改
export function updateComponentRunTime(data) {
  return request({
    url: '/technicalPlan/equipmentEnergyConsumption/updateComponentRunTime',
    baseURL: "/plan-api",
    method: 'post',
    data: data
  })
}